import * as plugins from './npmextra.plugins.js';

// directories
export let cwd = process.cwd();
export let packageDir = plugins.path.join(
  plugins.smartpath.get.dirnameFromImportMetaUrl(import.meta.url),
  '../'
);

// ----------------------
// keyValueStore specific
// ----------------------

export let home = plugins.smartpath.get.home();

/**
 * keyValue base path
 */
export let kvUserHomeDirBase = plugins.path.join(home, '.npmextra/kv');

// files
export let configFile = plugins.path.join(cwd, 'npmextra.json');
